## maui-booth 1.1.3+p24.04+vstable+git20250828.0546

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20250828.0546-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 28 Aug 2025 05:46:44 +0000

maui-booth (1.1.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 01:42:04 +0000

booth (1.1.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 03 Dec 2023 01:42:04 +0000

booth (1.1.1-0neon) jammy; urgency=medium

  * Initial release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000
