=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20251015.1906-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:06:45 +0000
