=== debian/control ===
Source: maui-booth
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               libmauikitfilebrowsing-dev,
               libmauikitimagetools-dev,
               mauikit-dev,
               mauiman-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-multimedia-dev
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/maui/maui-booth
Vcs-Git: https://invent.kde.org/neon/neon-packaging/maui-booth.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/maui-booth
Maintainer: Neon CI <neon@kde.org>

Package: maui-booth
Architecture: any
Depends: qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-imagetools,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Camera App
 Booth is a convergent camera app, to record videos and take pictures and sync your camera photos.
 .

Package: booth
Depends: maui-booth, ${misc:Depends}
Architecture: all
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.
