=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/booth/([\d\.]+)/booth-([\d.]+).tar.xz
