## maui-booth 1.1.3+p24.04+vstable+git20251231.0234

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20251231.0234-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 02:34:47 +0000
