## maui-booth 1.1.3+p24.04+vstable+git20260105.0954

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260105.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 09:54:07 +0000
