## maui-booth 1.1.3+p24.04+vstable+git20260107.0823

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260107.0823-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:23:45 +0000
