## maui-booth 1.1.3+p24.04+vstable+git20260205.0602

=== debian/changelog ===
maui-booth (1.1.3+p24.04+vstable+git20260205.0602-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 06:02:47 +0000
